Import data from dotCMS 3.0 to 4.0

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Import data from dotCMS 3.0 to 4.0

noman.hussain
Hi,
I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

regards
Noman

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Import data from dotCMS 3.0 to 4.0

Jason Tesser-2
usually people would upgrade the server not import.  This is the supported way 

On Thu, Jul 27, 2017 at 4:21 PM <[hidden email]> wrote:
Hi,
I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

regards
Noman

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/CALDe1GPFbQ-Cd7%3DSZT63bgJrNGKuNbMd2t6ng8x8qF5mwnRLag%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Import data from dotCMS 3.0 to 4.0

noman.hussain
Hi,
Thanks for getting back. But we have been testing v3 community version and I don't see any option to just upgrade the current instance. It's pointing to documentation for installing as new instance. Is upgrade option available for only enterprise server?

regards
Noman

On Thursday, July 27, 2017 at 4:24:22 PM UTC-4, LORDs_diakonos wrote:
usually people would upgrade the server not import.  This is the supported way 

On Thu, Jul 27, 2017 at 4:21 PM <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="ht1-Tx35BQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">noman....@...> wrote:
Hi,
I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

regards
Noman

--
<a href="http://dotcms.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;">http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="ht1-Tx35BQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dotcms+un...@googlegroups.com.
To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="ht1-Tx35BQAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dot...@....
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

RE: Import data from dotCMS 3.0 to 4.0

Nathan Keiter

There is no push-button upgrade, especially between major versions.

 

You have to replace the install with the new version.  Ideally, create a new server with 4.0.1 on it, point it to a copy of your database, start it up.

 

Then when you start it up, it will perform the various DB upgrade tasks.

 

The upgrade documentation will tell you exactly how to prepare for the upgrade and what needs to be done. https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0

 

Actually in this case, there’s not much to do if you are already on 3.x, so maybe follow the install documentation to get 4.0.1 online. https://dotcms.com/docs/latest/installation

 

The important thing is that you keep your file assets and db somewhere safe and connect them to the new version.  Work with copies of those first to make sure you can successfully upgrade.

 

You could actually do it on the same server in a different install folder… I’d be careful though. Once upgraded it is impossible to go back. So backup everything first.

 

Nathan I. Keiter | Lead Network Applications Programmer | Benefits Advisory Council Member | I.D.E.A Council Member
Gettysburg College | Information Technology | DataSystems
Campus Box 2453 | 300 North Washington Street | Gettysburg, PA 17325
Phone: 717.337.6993

https://www.gettysburg.edu

 

From: [hidden email] [mailto:[hidden email]] On Behalf Of [hidden email]
Sent: Friday, July 28, 2017 11:27 AM
To: dotCMS User Group
Subject: Re: [dotcms] Import data from dotCMS 3.0 to 4.0

 

Hi,

Thanks for getting back. But we have been testing v3 community version and I don't see any option to just upgrade the current instance. It's pointing to documentation for installing as new instance. Is upgrade option available for only enterprise server?

 

regards

Noman

On Thursday, July 27, 2017 at 4:24:22 PM UTC-4, LORDs_diakonos wrote:

usually people would upgrade the server not import.  This is the supported way 

 

On Thu, Jul 27, 2017 at 4:21 PM <<a href="javascript:" target="_blank">noman....@...> wrote:

Hi,

I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

 

regards

Noman

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank">dotcms+un...@....
To post to this group, send email to <a href="javascript:" target="_blank">dot...@....
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/95250cf1a510426aa8270a006f6cf6a4%40exch13c.ms.gettysburg.edu.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Import data from dotCMS 3.0 to 4.0

Jason Tesser-2
See https://dotcms.com/docs/latest/upgrading-dotcms

also you should checkout the release notes 

On Fri, Jul 28, 2017 at 11:41 AM Nathan Keiter <[hidden email]> wrote:

There is no push-button upgrade, especially between major versions.

 

You have to replace the install with the new version.  Ideally, create a new server with 4.0.1 on it, point it to a copy of your database, start it up.

 

Then when you start it up, it will perform the various DB upgrade tasks.

 

The upgrade documentation will tell you exactly how to prepare for the upgrade and what needs to be done. https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0

 

Actually in this case, there’s not much to do if you are already on 3.x, so maybe follow the install documentation to get 4.0.1 online. https://dotcms.com/docs/latest/installation

 

The important thing is that you keep your file assets and db somewhere safe and connect them to the new version.  Work with copies of those first to make sure you can successfully upgrade.

 

You could actually do it on the same server in a different install folder… I’d be careful though. Once upgraded it is impossible to go back. So backup everything first.

 

Nathan I. Keiter | Lead Network Applications Programmer | Benefits Advisory Council Member | I.D.E.A Council Member
Gettysburg College | Information Technology | DataSystems
Campus Box 2453 | 300 North Washington Street | Gettysburg, PA 17325
Phone: <a href="tel:(717)%20337-6993" value="+17173376993" target="_blank">717.337.6993

https://www.gettysburg.edu

 

From: [hidden email] [mailto:[hidden email]] On Behalf Of [hidden email]
Sent: Friday, July 28, 2017 11:27 AM
To: dotCMS User Group
Subject: Re: [dotcms] Import data from dotCMS 3.0 to 4.0

 

Hi,

Thanks for getting back. But we have been testing v3 community version and I don't see any option to just upgrade the current instance. It's pointing to documentation for installing as new instance. Is upgrade option available for only enterprise server?

 

regards

Noman

On Thursday, July 27, 2017 at 4:24:22 PM UTC-4, LORDs_diakonos wrote:

usually people would upgrade the server not import.  This is the supported way 

 

On Thu, Jul 27, 2017 at 4:21 PM <[hidden email]> wrote:

Hi,

I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

 

regards

Noman

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/95250cf1a510426aa8270a006f6cf6a4%40exch13c.ms.gettysburg.edu.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/CALDe1GN00%3DR5ywqYTVQabqU5KytT7CsfAM0-fzrB82oR4S%3DBZA%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Import data from dotCMS 3.0 to 4.0

noman.hussain
In reply to this post by Nathan Keiter
I followed update procedure defined here https://dotcms.com/docs/latest/upgrading-dotcms and it ran into this this exception:

ERROR business.HostAPIImpl: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

java.lang.RuntimeException: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

at com.dotcms.content.elasticsearch.business.ESContentFactoryImpl.indexSearch(ESContentFactoryImpl.java:1358) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.searchIndex(ESContentletAPIImpl.java:734) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.search(ESContentletAPIImpl.java:601) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.search(ESContentletAPIImpl.java:592) ~[dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.portlets.contentlet.business.ContentletAPIInterceptor.search(ContentletAPIInterceptor.java:1442) ~[dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.portlets.contentlet.business.HostAPIImpl.findAll(HostAPIImpl.java:344) [dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.servlets.InitServlet$InitThread.run(InitServlet.java:369) [dotcms_4.1.1_999999.jar:?]

Caused by: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

at org.elasticsearch.cluster.metadata.MetaData.convertFromWildcards(MetaData.java:884) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.cluster.metadata.MetaData.concreteIndices(MetaData.java:692) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchTypeAction$BaseAsyncAction.<init>(TransportSearchTypeAction.java:118) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction$AsyncAction.<init>(TransportSearchQueryThenFetchAction.java:71) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction$AsyncAction.<init>(TransportSearchQueryThenFetchAction.java:65) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction.doExecute(TransportSearchQueryThenFetchAction.java:62) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction.doExecute(TransportSearchQueryThenFetchAction.java:52) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.support.TransportAction.execute(TransportAction.java:75) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.TransportSearchAction.doExecute(TransportSearchAction.java:100) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.TransportSearchAction.doExecute(TransportSearchAction.java:43) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.support.TransportAction.execute(TransportAction.java:75) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.client.node.NodeClient.execute(NodeClient.java:98) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.client.support.AbstractClient.search(AbstractClient.java:338) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.SearchRequestBuilder.doExecute(SearchRequestBuilder.java:1112) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.ActionRequestBuilder.execute(ActionRequestBuilder.java:91) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.ActionRequestBuilder.execute(ActionRequestBuilder.java:65) ~[dot.elasticsearch-1.7.3_1.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentFactoryImpl.indexSearch(ESContentFactoryImpl.java:1348) ~[dotcms_4.1.1_999999.jar:?]


regards

Noman


On Friday, July 28, 2017 at 11:41:50 AM UTC-4, Nathan Keiter wrote:

There is no push-button upgrade, especially between major versions.

 

You have to replace the install with the new version.  Ideally, create a new server with 4.0.1 on it, point it to a copy of your database, start it up.

 

Then when you start it up, it will perform the various DB upgrade tasks.

 

The upgrade documentation will tell you exactly how to prepare for the upgrade and what needs to be done. <a href="https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Fupgrading-to-dotcms-4-0\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHyzkkwZwQyQrNdTEpLIjPzPf0KmQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Fupgrading-to-dotcms-4-0\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHyzkkwZwQyQrNdTEpLIjPzPf0KmQ&#39;;return true;">https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0

 

Actually in this case, there’s not much to do if you are already on 3.x, so maybe follow the install documentation to get 4.0.1 online. <a href="https://dotcms.com/docs/latest/installation" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Finstallation\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFpbpcvqBx1mWwISqMfmFotrGgPPQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Finstallation\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFpbpcvqBx1mWwISqMfmFotrGgPPQ&#39;;return true;">https://dotcms.com/docs/latest/installation

 

The important thing is that you keep your file assets and db somewhere safe and connect them to the new version.  Work with copies of those first to make sure you can successfully upgrade.

 

You could actually do it on the same server in a different install folder… I’d be careful though. Once upgraded it is impossible to go back. So backup everything first.

 

Nathan I. Keiter | Lead Network Applications Programmer | Benefits Advisory Council Member | I.D.E.A Council Member
Gettysburg College | Information Technology | DataSystems
Campus Box 2453 | 300 North Washington Street | Gettysburg, PA 17325
Phone: 717.337.6993

<a href="https://www.gettysburg.edu/" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.gettysburg.edu%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG7XlfToBr_IA0adrY4nu9tVtLS_w&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.gettysburg.edu%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG7XlfToBr_IA0adrY4nu9tVtLS_w&#39;;return true;">https://www.gettysburg.edu

 

From: <a href="javascript:" target="_blank" gdf-obfuscated-mailto="JfGoTLkuBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dot...@... [mailto:<a href="javascript:" target="_blank" gdf-obfuscated-mailto="JfGoTLkuBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dot...@googlegroups.com] On Behalf Of <a href="javascript:" target="_blank" gdf-obfuscated-mailto="JfGoTLkuBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">noman....@...
Sent: Friday, July 28, 2017 11:27 AM
To: dotCMS User Group
Subject: Re: [dotcms] Import data from dotCMS 3.0 to 4.0

 

Hi,

Thanks for getting back. But we have been testing v3 community version and I don't see any option to just upgrade the current instance. It's pointing to documentation for installing as new instance. Is upgrade option available for only enterprise server?

 

regards

Noman

On Thursday, July 27, 2017 at 4:24:22 PM UTC-4, LORDs_diakonos wrote:

usually people would upgrade the server not import.  This is the supported way 

 

On Thu, Jul 27, 2017 at 4:21 PM <[hidden email]> wrote:

Hi,

I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

 

regards

Noman

--
<a href="http://dotcms.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;">http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;"> https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;"> https://groups.google.com/d/optout.

--
<a href="http://dotcms.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;">http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="JfGoTLkuBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dotcms+un...@googlegroups.com.
To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="JfGoTLkuBAAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dot...@....
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;"> https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/06228d33-745c-4283-afc7-8b700a96d732%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Import data from dotCMS 3.0 to 4.0

Jason Tesser-2
just means you need to reindex

On Thu, Aug 3, 2017 at 2:58 PM <[hidden email]> wrote:
I followed update procedure defined here https://dotcms.com/docs/latest/upgrading-dotcms and it ran into this this exception:

ERROR business.HostAPIImpl: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

java.lang.RuntimeException: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

at com.dotcms.content.elasticsearch.business.ESContentFactoryImpl.indexSearch(ESContentFactoryImpl.java:1358) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.searchIndex(ESContentletAPIImpl.java:734) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.search(ESContentletAPIImpl.java:601) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.search(ESContentletAPIImpl.java:592) ~[dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.portlets.contentlet.business.ContentletAPIInterceptor.search(ContentletAPIInterceptor.java:1442) ~[dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.portlets.contentlet.business.HostAPIImpl.findAll(HostAPIImpl.java:344) [dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.servlets.InitServlet$InitThread.run(InitServlet.java:369) [dotcms_4.1.1_999999.jar:?]

Caused by: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

at org.elasticsearch.cluster.metadata.MetaData.convertFromWildcards(MetaData.java:884) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.cluster.metadata.MetaData.concreteIndices(MetaData.java:692) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchTypeAction$BaseAsyncAction.<init>(TransportSearchTypeAction.java:118) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction$AsyncAction.<init>(TransportSearchQueryThenFetchAction.java:71) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction$AsyncAction.<init>(TransportSearchQueryThenFetchAction.java:65) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction.doExecute(TransportSearchQueryThenFetchAction.java:62) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction.doExecute(TransportSearchQueryThenFetchAction.java:52) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.support.TransportAction.execute(TransportAction.java:75) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.TransportSearchAction.doExecute(TransportSearchAction.java:100) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.TransportSearchAction.doExecute(TransportSearchAction.java:43) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.support.TransportAction.execute(TransportAction.java:75) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.client.node.NodeClient.execute(NodeClient.java:98) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.client.support.AbstractClient.search(AbstractClient.java:338) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.SearchRequestBuilder.doExecute(SearchRequestBuilder.java:1112) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.ActionRequestBuilder.execute(ActionRequestBuilder.java:91) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.ActionRequestBuilder.execute(ActionRequestBuilder.java:65) ~[dot.elasticsearch-1.7.3_1.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentFactoryImpl.indexSearch(ESContentFactoryImpl.java:1348) ~[dotcms_4.1.1_999999.jar:?]


regards

Noman


On Friday, July 28, 2017 at 11:41:50 AM UTC-4, Nathan Keiter wrote:

There is no push-button upgrade, especially between major versions.

 

You have to replace the install with the new version.  Ideally, create a new server with 4.0.1 on it, point it to a copy of your database, start it up.

 

Then when you start it up, it will perform the various DB upgrade tasks.

 

The upgrade documentation will tell you exactly how to prepare for the upgrade and what needs to be done. https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0

 

Actually in this case, there’s not much to do if you are already on 3.x, so maybe follow the install documentation to get 4.0.1 online. https://dotcms.com/docs/latest/installation

 

The important thing is that you keep your file assets and db somewhere safe and connect them to the new version.  Work with copies of those first to make sure you can successfully upgrade.

 

You could actually do it on the same server in a different install folder… I’d be careful though. Once upgraded it is impossible to go back. So backup everything first.

 

Nathan I. Keiter | Lead Network Applications Programmer | Benefits Advisory Council Member | I.D.E.A Council Member
Gettysburg College | Information Technology | DataSystems
Campus Box 2453 | 300 North Washington Street | Gettysburg, PA 17325
Phone: <a href="tel:(717)%20337-6993" value="+17173376993" target="_blank">717.337.6993

https://www.gettysburg.edu

 

From: [hidden email] [mailto:[hidden email]] On Behalf Of [hidden email]


Sent: Friday, July 28, 2017 11:27 AM
To: dotCMS User Group
Subject: Re: [dotcms] Import data from dotCMS 3.0 to 4.0

 

Hi,

Thanks for getting back. But we have been testing v3 community version and I don't see any option to just upgrade the current instance. It's pointing to documentation for installing as new instance. Is upgrade option available for only enterprise server?

 

regards

Noman

On Thursday, July 27, 2017 at 4:24:22 PM UTC-4, LORDs_diakonos wrote:

usually people would upgrade the server not import.  This is the supported way 

 

On Thu, Jul 27, 2017 at 4:21 PM <[hidden email]> wrote:

Hi,

I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

 

regards

Noman

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/06228d33-745c-4283-afc7-8b700a96d732%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/CALDe1GMdKJEZ%2Bd2NcvpriC6vYg4hk-maL9UTBUP082Be-%2BZxdg%40mail.gmail.com.
For more options, visit https://groups.google.com/d/optout.
Reply | Threaded
Open this post in threaded view
|

Re: Import data from dotCMS 3.0 to 4.0

noman.hussain
This worked. Thanks guys for all the help.

regards
Noman

On Thursday, August 3, 2017 at 3:22:27 PM UTC-4, LORDs_diakonos wrote:
just means you need to reindex

On Thu, Aug 3, 2017 at 2:58 PM <<a href="javascript:" target="_blank" gdf-obfuscated-mailto="Sr09I1ryBwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">noman....@...> wrote:
I followed update procedure defined here <a href="https://dotcms.com/docs/latest/upgrading-dotcms" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Fupgrading-dotcms\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGStjllVUs8fHXsqTU7y9QtJpwvUw&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Fupgrading-dotcms\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGStjllVUs8fHXsqTU7y9QtJpwvUw&#39;;return true;">https://dotcms.com/docs/latest/upgrading-dotcms and it ran into this this exception:

ERROR business.HostAPIImpl: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

java.lang.RuntimeException: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

at com.dotcms.content.elasticsearch.business.ESContentFactoryImpl.indexSearch(ESContentFactoryImpl.java:1358) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.searchIndex(ESContentletAPIImpl.java:734) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.search(ESContentletAPIImpl.java:601) ~[dotcms_4.1.1_999999.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentletAPIImpl.search(ESContentletAPIImpl.java:592) ~[dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.portlets.contentlet.business.ContentletAPIInterceptor.search(ContentletAPIInterceptor.java:1442) ~[dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.portlets.contentlet.business.HostAPIImpl.findAll(HostAPIImpl.java:344) [dotcms_4.1.1_999999.jar:?]

at com.dotmarketing.servlets.InitServlet$InitThread.run(InitServlet.java:369) [dotcms_4.1.1_999999.jar:?]

Caused by: org.elasticsearch.indices.IndexMissingException: [working_20170801163000] missing

at org.elasticsearch.cluster.metadata.MetaData.convertFromWildcards(MetaData.java:884) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.cluster.metadata.MetaData.concreteIndices(MetaData.java:692) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchTypeAction$BaseAsyncAction.<init>(TransportSearchTypeAction.java:118) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction$AsyncAction.<init>(TransportSearchQueryThenFetchAction.java:71) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction$AsyncAction.<init>(TransportSearchQueryThenFetchAction.java:65) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction.doExecute(TransportSearchQueryThenFetchAction.java:62) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.type.TransportSearchQueryThenFetchAction.doExecute(TransportSearchQueryThenFetchAction.java:52) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.support.TransportAction.execute(TransportAction.java:75) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.TransportSearchAction.doExecute(TransportSearchAction.java:100) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.TransportSearchAction.doExecute(TransportSearchAction.java:43) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.support.TransportAction.execute(TransportAction.java:75) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.client.node.NodeClient.execute(NodeClient.java:98) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.client.support.AbstractClient.search(AbstractClient.java:338) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.search.SearchRequestBuilder.doExecute(SearchRequestBuilder.java:1112) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.ActionRequestBuilder.execute(ActionRequestBuilder.java:91) ~[dot.elasticsearch-1.7.3_1.jar:?]

at org.elasticsearch.action.ActionRequestBuilder.execute(ActionRequestBuilder.java:65) ~[dot.elasticsearch-1.7.3_1.jar:?]

at com.dotcms.content.elasticsearch.business.ESContentFactoryImpl.indexSearch(ESContentFactoryImpl.java:1348) ~[dotcms_4.1.1_999999.jar:?]


regards

Noman


On Friday, July 28, 2017 at 11:41:50 AM UTC-4, Nathan Keiter wrote:

There is no push-button upgrade, especially between major versions.

 

You have to replace the install with the new version.  Ideally, create a new server with 4.0.1 on it, point it to a copy of your database, start it up.

 

Then when you start it up, it will perform the various DB upgrade tasks.

 

The upgrade documentation will tell you exactly how to prepare for the upgrade and what needs to be done. <a href="https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Fupgrading-to-dotcms-4-0\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHyzkkwZwQyQrNdTEpLIjPzPf0KmQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Fupgrading-to-dotcms-4-0\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNHyzkkwZwQyQrNdTEpLIjPzPf0KmQ&#39;;return true;">https://dotcms.com/docs/latest/upgrading-to-dotcms-4-0

 

Actually in this case, there’s not much to do if you are already on 3.x, so maybe follow the install documentation to get 4.0.1 online. <a href="https://dotcms.com/docs/latest/installation" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Finstallation\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFpbpcvqBx1mWwISqMfmFotrGgPPQ&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fdotcms.com%2Fdocs%2Flatest%2Finstallation\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNFpbpcvqBx1mWwISqMfmFotrGgPPQ&#39;;return true;">https://dotcms.com/docs/latest/installation

 

The important thing is that you keep your file assets and db somewhere safe and connect them to the new version.  Work with copies of those first to make sure you can successfully upgrade.

 

You could actually do it on the same server in a different install folder… I’d be careful though. Once upgraded it is impossible to go back. So backup everything first.

 

Nathan I. Keiter | Lead Network Applications Programmer | Benefits Advisory Council Member | I.D.E.A Council Member
Gettysburg College | Information Technology | DataSystems
Campus Box 2453 | 300 North Washington Street | Gettysburg, PA 17325
Phone: 717.337.6993

<a href="https://www.gettysburg.edu/" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.gettysburg.edu%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG7XlfToBr_IA0adrY4nu9tVtLS_w&#39;;return true;" onclick="this.href=&#39;https://www.google.com/url?q\x3dhttps%3A%2F%2Fwww.gettysburg.edu%2F\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNG7XlfToBr_IA0adrY4nu9tVtLS_w&#39;;return true;">https://www.gettysburg.edu

 


Sent: Friday, July 28, 2017 11:27 AM
To: dotCMS User Group
Subject: Re: [dotcms] Import data from dotCMS 3.0 to 4.0

 

Hi,

Thanks for getting back. But we have been testing v3 community version and I don't see any option to just upgrade the current instance. It's pointing to documentation for installing as new instance. Is upgrade option available for only enterprise server?

 

regards

Noman

On Thursday, July 27, 2017 at 4:24:22 PM UTC-4, LORDs_diakonos wrote:

usually people would upgrade the server not import.  This is the supported way 

 

On Thu, Jul 27, 2017 at 4:21 PM <[hidden email]> wrote:

Hi,

I'm assuming there must be a way to import all the data (users, assets etc) from v3 to v4. As db schema has changed with this new release, I tried the way using starter.zip but it didn't work. I took backup from v3 installation and used that archive to place as starter.zip under ./webapps/ROOT

 

regards

Noman

--
<a href="http://dotcms.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;">http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium=email&amp;utm_source=footer" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;"> https://groups.google.com/d/msgid/dotcms/34b5f0ca-f608-4822-b0c7-f3514a28d8fc%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;"> https://groups.google.com/d/optout.

--
<a href="http://dotcms.com" rel="nofollow" target="_blank" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;">http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].

To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com?utm_medium=email&amp;utm_source=footer" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;"> https://groups.google.com/d/msgid/dotcms/95faee28-7a78-4e08-87f3-6cfa36847260%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" rel="nofollow" target="_blank" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
<a href="http://dotcms.com" target="_blank" rel="nofollow" onmousedown="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;" onclick="this.href=&#39;http://www.google.com/url?q\x3dhttp%3A%2F%2Fdotcms.com\x26sa\x3dD\x26sntz\x3d1\x26usg\x3dAFQjCNGFT4ej1MQxQ2vu3iAUqYQgS59efw&#39;;return true;">http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Sr09I1ryBwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dotcms+un...@googlegroups.com.
To post to this group, send email to <a href="javascript:" target="_blank" gdf-obfuscated-mailto="Sr09I1ryBwAJ" rel="nofollow" onmousedown="this.href=&#39;javascript:&#39;;return true;" onclick="this.href=&#39;javascript:&#39;;return true;">dot...@....
To view this discussion on the web visit <a href="https://groups.google.com/d/msgid/dotcms/06228d33-745c-4283-afc7-8b700a96d732%40googlegroups.com?utm_medium=email&amp;utm_source=footer" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/msgid/dotcms/06228d33-745c-4283-afc7-8b700a96d732%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/msgid/dotcms/06228d33-745c-4283-afc7-8b700a96d732%40googlegroups.com?utm_medium\x3demail\x26utm_source\x3dfooter&#39;;return true;">https://groups.google.com/d/msgid/dotcms/06228d33-745c-4283-afc7-8b700a96d732%40googlegroups.com.
For more options, visit <a href="https://groups.google.com/d/optout" target="_blank" rel="nofollow" onmousedown="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;" onclick="this.href=&#39;https://groups.google.com/d/optout&#39;;return true;">https://groups.google.com/d/optout.

--
http://dotcms.com - Open Source Java Content Management
---
You received this message because you are subscribed to the Google Groups "dotCMS User Group" group.
To unsubscribe from this group and stop receiving emails from it, send an email to [hidden email].
To post to this group, send email to [hidden email].
To view this discussion on the web visit https://groups.google.com/d/msgid/dotcms/7ab55749-392c-4542-bcd8-2df2681bedb5%40googlegroups.com.
For more options, visit https://groups.google.com/d/optout.